LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=80;
TITLE1 'EXAMPLE 10-6-1';
TITLE2 'NONPARAMETRIC 1-WAY ANOVA';
PROC NPAR1WAY DATA=mysasdat.potato WILCOXON;
       CLASS bacteria;
       VAR rot;
       RUN;
PROC RANK DATA=mysasdat.potato OUT=ex1061a;
     VAR rot;
     RANKS rotrank;
     RUN;
PROC PRINT DATA=ex1061a;
	 RUN;
PROC GLM DATA=ex1061a;
       CLASS bacteria;
       MODEL rotrank = bacteria;
       MEANS bacteria
                / BON SCHEFFE TUKEY DUNCAN;
       RUN;
