LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
TITLE1 'EXAMPLE 11-7-1';
TITLE2 'PLOTS FOR REGRESSION DIAGNOSTICS';
DATA ex1171a;
     SET mysasdat.pulse;
     IF RUN=2 THEN DELETE;
     LABEL pulse1='PULSE BEFORE'
           pulse2='PULSE AFTER';
     RUN;
PROC REG;
       MODEL pulse2 = pulse1 / NOPRINT;
       OUTPUT OUT=ex1171b P=pred R=resid;
       RUN;
PROC PLOT DATA=ex1171b;
       PLOT pulse2*pulse1='O' pred*pulse1='P'
             / OVERLAY BOX;
       PLOT pred*pulse2 / BOX;
       PLOT resid*pulse1 / BOX;
       RUN;
