LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
TITLE1 'EXAMPLE 11-7-2';
TITLE2 'CORRELATIONS FOR REGRESSION DIAGNOSTICS';
DATA ex1172a;
     SET mysasdat.pulse;
     IF RUN=2 THEN DELETE;
     LABEL pulse1='PULSE BEFORE'
           pulse2='PULSE AFTER';
     RUN;
PROC REG;
       MODEL pulse2 = pulse1 / NOPRINT;
       OUTPUT OUT=ex1172b P=pred R=resid;
       RUN;
PROC CORR DATA=ex1172b;
      VAR pulse1 resid pulse2 pred;
      RUN;
