LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 11-8-1';
TITLE2 'Y VS X';
OPTIONS LINESIZE=78;
DATA mysasdat.vartrans;
       INPUT days tumor @@;
       y = tumor;
       x = days;
       xx = x*x;
       sqrty = SQRT(y);
       sqrtx = SQRT(x);
       logy = log(y);
       logx = log(x);
       invy = -1/y;
       invx = -1/x;
       DATALINES;
14 1.25   16 1.90   19 4.75   21 5.45
23 7.53   26 14.5   28 16.7   30 21.0
33 27.1   35 30.3   37 40.5   41 51.4
       ;
       RUN;
PROC REG;
       MODEL y = x;
       OUTPUT OUT=ex1181a P=py R=ry;
       RUN;
PROC PLOT DATA=ex1181a;
       PLOT ry*x / VREF=0 HPOS=32 VPOS=20 BOX;
       RUN;

