LIBNAME mysasdat 'c:\mydata';
DATA ex525a ex525b;
     SET mysasdat.pulse;
     LABEL pulse1='PULSE BEFORE'
           pulse2='PULSE AFTER';
           differ=pulse2-pulse1;
     IF differ GT 10 THEN OUTPUT ex525a;
                     ELSE OUTPUT ex525b;
     RUN;
TITLE1 'ANALYSIS OF PULSE DATA';
TITLE4 'DATA WHOSE DIFFERENCE BEFORE AND';
TITLE5 'AFTER RUN ARE GREATER THAN 10';
FOOTNOTE1 'IT''S A SAMPLE OF PROC PRINT.';
PROC SORT DATA=ex525a OUT=ex525c;
     BY smokes sex;
     RUN;
PROC PRINT DATA=ex525c LABEL;
     BY smokes sex;
     VAR smokes sex pulse1 pulse2 differ;
     RUN;
