LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 6-2-1';
TITLE2 'HOW TO USE THE CHART STATEMENT';
DATA ex621;
     SET mysasdat.pulse;
     LABEL pulse1 = 'PULSE BEFORE'   ;
     LABEL pulse2 = 'PULSE  AFTER';
     SELECT;
           WHEN(weight LT 130) w='LIGHT';
           WHEN(weight GE 170) w='HEAVY';
           OTHERWISE w='MIDDL';
           END;
     IF pulse1 LT 65  THEN p1='LOW';
                        ELSE IF pulse1 GE 75 THEN p1='HIG';
                                               ELSE p1='MID';
     RUN;
OPTIONS LINESIZE=70;
OPTIONS PAGESIZE=25;
PROC GCHART DATA=ex621;
     VBAR weight smokes;
     VBAR w;
     VBAR weight / MIDPOINTS = 110 TO 210 BY 10;
     VBAR height / LEVELS=5;
     VBAR pulse1 / TYPE=PERCENT;
     VBAR sex / TYPE=MEAN SUMVAR=weight;
     VBAR pulse1 / GROUP=sex;
     VBAR p1 / MIDPOINTS = 'LOW' 'MID' 'HIG' SUBGROUP=sex;
     VBAR p1 / MIDPOINTS = 'LOW' 'MID' 'HIG' GROUP=sex;
     VBAR sex / GROUP=p1;
     VBAR p1 / MIDPOINTS = 'LOW' 'MID' 'HIG' GROUP=sex
              SUMVAR=pulse2 TYPE=MEAN;
     RUN;
