LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAM 6-3-1';
TITLE2 'HOW TO USE THE MEANS STATEMENT';
DATA mysasdat.trees;
       INFILE 'C:\DATA\TREES.DAT';
       INPUT diameter height volume;
       RUN;
DATA ex631a;
       SET mysasdat.trees;
       IF height LT 75 THEN ht='SHORT';
          ELSE ht='TALL';
          SELECT;
             WHEN(volume GT 30.0) vol='BIG';
             OTHERWISE vol='SMALL';
             END;
       RUN;
OPTIONS LINESIZE=70;
PROC MEANS;
       RUN;
PROC MEANS DATA=ex631a
               N NMISS MEAN CV MAXDEC=3 FW=10;
       VAR diameter height;
       RUN;
PROC SORT DATA=ex631a OUT=ex631b;
       BY ht vol;
       RUN;
PROC MEANS DATA=ex631a MEAN STD;
       CLASS ht vol;
       VAR diameter height;
       TITLE 'STATISTICS WITH TWO CLASS VARIABLES';
       RUN;
PROC MEANS DATA=ex631b MEAN STD;
       BY ht vol;
       TITLE 'STATISTICS WITH TWO BY VARIABLES';
       VAR diameter height;
       RUN;
PROC MEANS DATA=ex631a NOPRINT;
       VAR diameter volume;
       OUTPUT OUT=ex631c
              MEAN=dtmean volmean MAX=dtmax volmax;
       RUN;
PROC PRINT;
       TITLE2 'THE NEW DATA SET';
       RUN;
