LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAM 7-3-1';
TITLE2 'HOW TO USE THE CORR STATEMENT';
DATA ex731a;
       SET mysasdat.pulse;
       LABEL pulse1='PULSE BEFORE'
               pulse2='PULSE AFTER';
       RUN;
OPTION LINESIZE=70;
OPTION PAGESIZE=60;
PROC CORR DATA=ex731a;
       VAR pulse1 pulse2 height weight;
       RUN;
PROC CORR DATA=ex731a BEST=2 NOSIMPLE;
       VAR pulse1 pulse2 height weight;
       RUN;
PROC CORR DATA=ex731a RANK NOSIMPLE;
       VAR pulse1 pulse2 height weight;
       RUN;
PROC CORR DATA=ex731a NOSIMPLE;
       VAR pulse1 pulse2 height;
       WITH weight;
       RUN;
PROC CORR DATA=ex731a NOSIMPLE
             PEARSON SPEARMAN KENDALL HOEFFDING ALPHA;
       VAR pulse1 pulse2 height weight;
       RUN;
PROC CORR DATA=ex731a NOSIMPLE;
       VAR pulse1 pulse2 height;
       PARTIAL weight;
       RUN;
DATA mysasdat.cartoon;
       INFILE 'C:\DATA\CARTOON.DAT';
       INPUT id color ed location otis
              cartun1 real1 cartun2 real2;
       RUN;
DATA ex731b;
       SET mysasdat.cartoon;
       RUN;
PROC CORR DATA=ex731b NOMISS NOSIMPLE;
       VAR otis cartun1 cartun2 real1 real2;
       RUN;
PROC CORR DATA=ex731a NOPRINT OUTP=ex731c;
       VAR pulse1 pulse2 weight;
       RUN;
PROC PRINT DATA=ex731c;
       RUN;


