LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=80;
TITLE1 'EXAMPLE 10-6-2';
TITLE2 'FRIEDMAN TEST';
PROC SORT DATA=mysasdat.meat OUT=ex1062a;
      BY batch;
      RUN;
PROC RANK DATA=ex1062a OUT=ex1062b;
     VAR driploss;
     RANKS driprank;
     BY batch;
     RUN;
PROC ANOVA DATA=ex1062b;
      CLASS position batch;
      MODEL driploss = position batch;
      MEANS position
            / BON TUKEY SCHEFFE DUNCAN;
      RUN;
