LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
TITLE1 'EXAMPLE 11-7-3';
TITLE2 'DIAGNOSTICS FOR MULTIPLE REGRESSION';
PROC REG DATA=mysasdat.grades;
       MODEL gpa=verb math / NOPRINT;
       OUTPUT OUT=ex1173a P=pred R=resid;
       RUN;
PROC PLOT DATA=ex1173a HPERCENT=50 VPERCENT=50;
       PLOT gpa*verb='V' pred*verb='P' / OVERLAY BOX;
       PLOT gpa*math='M' pred*math='P' / OVERLAY BOX;
       PLOT pred*gpa / OVERLAY  BOX;
       PLOT resid*verb / VREF=0 BOX;
       PLOT resid*math / VREF=0 BOX;
       RUN;
PROC CORR DATA=ex1173a;
       VAR verb math resid gpa pred;
       RUN;
