LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
OPTION PAGESIZE=100;
TITLE1 'EXAMPLE 12-4-1';
TITLE2 'CORRELATION ANALYSIS';
DATA mysasdat.cogni;
        INFILE 'C:\DATA\COGNI.DAT';
        INPUT  verbal visual word maze add shape
                anagram space number mental;
        LABEL verbal='VERBAL MEMORY SPAN'
                visual='VISUAL MEMORY SPAN'
                word='WORD RELATION'
                maze='MAZE'
                add='ADDITION'
                shape='SHAPE SERIES'
                anagram='ANAGRAM'
                space='SPACE RELATION'
                number='NUMBER SERIES'
                mental='MENTAL ROTATION';
       RUN;
PROC PRINCOMP DATA=mysasdat.cogni;
     RUN;