LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
TITLE1 'EXAMPLE 12-4-2';
TITLE2 'CHECKING OF PRINCIPAL COMPONENT THEORY';
PROC PRINCOMP DATA=mysasdat.cogni NOPRINT OUT=ex1242a;
     RUN;
PROC MEANS DATA=ex1242a N MEAN VAR MIN MAX;
     VAR Prin1-Prin10;
     RUN;
PROC CORR DATA=ex1242a NOPROB NOSIMPLE;
     VAR Prin1-Prin10;
     RUN;
DATA ex1242b;
     SET ex1242a;
	 RETAIN XSYS '2' YSYS '2';
     LENGTH text $2 function $8;
	 text = _N_;
	 x = Prin1;
	 y = Prin2;
	 SIZE = 1.5;
	 FUNCTION = 'LABEL';
	 POSITION = '8';
	 RUN;
PROC GPLOT DATA=ex1242a;
     PLOT Prin2*Prin1 / ANNOTATE=ex1242b;
     RUN;