LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 12-6-1';
TITLE2 'PCA WITH CORRELATION MATRIX';
OPTION LINESIZE=78;
DATA mysasdat.stock1 (TYPE=CORR);
     INFILE CARDS MISSOVER;
     _TYPE_ = 'CORR';
	 IF _N_=1 THEN _TYPE_='N';
	 INPUT _NAME_ $ y1 y2 y3 y4 y5;
	 LABEL y1 = 'Allied Chemical';
	 LABEL y2 = 'du Pont';
	 LABEL y3 = 'Union Carbide';
	 LABEL y4 = 'Exxon';
	 LABEL y5 = 'Texaco';
	 CARDS;
	 N 100
	 y1 1.0      .       .       .       .
	 y2 0.577   1.0      .       .       .
	 y3 0.509   0.599   1.0      .       .
	 y4 0.387   0.389   0.436   1.0      .
     y5 0.462   0.322   0.426   0.523    1.0
     ;
	 RUN;
PROC PRINT;
     RUN;
PROC PRINCOMP DATA=mysasdat.stock1 (TYPE=CORR);
     RUN;
