LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=78;
OPTION PAGESIZE=66;
TITLE1 'EXAMPLE 13-4-1';
TITLE2 'ROTATION OF FACTOR ANALYSIS';
PROC FACTOR DATA=mysasdat.cogni METHOD=PRINIT
            OUT=ex1341a NFACT=2
            ROTATE=VARIMAX PREPLOT PLOT;
       RUN;
PROC CORR DATA=ex1341a NOPROB NOSIMPLE;
       VAR Factor1 Factor2;
       WITH _ALL_;
       RUN;
PROC PLOT;
     PLOT Factor1*Factor2 /
          VREF=0  HREF=0 VPOS=22 HPOS=56
          VAXIS=-3 TO 3 BY 1
          HAXIS=-3 TO 3 BY 1;
       RUN;
