LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 14-4-1';
TITLE2 'CANONICAL CORRELATION ANALYSIS';
OPTION LINESIZE=70;
DATA mysasdat.head;
     INFILE 'c:\data\head.dat';
	 INPUT length1 width1 length2 width2;
	 LABEL length1 = 'Head Length of 1st'
	       width1 = 'Head Width of 1st'
		   length2 = 'Head Length of 2nd'
	       width2 = 'Head Width of 2nd';
	 RUN;
PROC CANCORR DATA=mysasdat.head ALL 
             VPREFIX=u WPREFIX=v;
     VAR length1 width1;
	 WITH length2 width2;
	 RUN;
