LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 5-2-6';
TITLE2 'HOW TO USE THE PROC PRINT';
DATA ex526a;
     SET mysasdat.pulse;
     LABEL pulse1='PULSE BEFORE'
           pulse2='PULSE AFTER';
          differ=pulse2-pulse1;
     SELECT;
           WHEN(weight LT 130) W='LIGHTER';
           WHEN(130 GE weight LT 140) W='LIGHT';
           WHEN(140 GE weight LT 150) W='MIDDLE';
           WHEN(150 GE weight LT 160) W='HEAVY';
           OTHERWISE W='HEAVIER';
           END;
     RUN;
DATA ex526b;
     SET mysasdat.examinat;
     RUN;
PROC PRINT;
   ID last;
     TITLE4 'USING THE ID STATEMENT WITH UNSORTED DATA';
     RUN;
PROC SORT DATA=ex526b OUT=ex526c;
     BY sex last;
     RUN;
PROC PRINT DATA=ex526c;
     ID last;
     BY sex;
     TITLE4 'USING THE ID STATEMENT WITH SORTED DATA';
     TITLE5 'GROUPING OBSERVATIONS WITH MULTIPLE VARIABLES';
     RUN;
PROC PRINT DATA=ex526a NOOBS;
     VAR height weight w differ run;
     WHERE  activity='3' AND differ GT 10;
     SUM height weight;
     TITLE4 'SUPPRESSING THE OBSERVATION COLUMN';
     TITLE5 'TESTING CONDITIONS';
     TITLE6 'SUMMING NUMERIC VARIABLES';
     RUN;
