LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAMPLE 6-2-2';
TITLE2 'HOW TO USE THE CHART STATEMENT 2';
DATA ex622;
     SET mysasdat.pulse;
     LABEL pulse1 = 'PULSE BEFORE';
     LABEL pulse2 = 'PULSE AFTER';
     SELECT;
           WHEN(weight LT 120) wdigit=12;
           WHEN(weight LT 140) wdigit=14;
           WHEN(weight LT 160) wdigit=16;
           WHEN(weight LT 180) wdigit=18;
           WHEN(weight LT 200) wdigit=20;
           OTHERWISE wdigit=22;
           END;
     RUN;
	 PROC PRINT;
	 RUN;
PROC GCHART DATA=ex622;
     HBAR wdigit;
     RUN;
PROC GCHART DATA=ex622;
     HBAR wdigit / DISCRETE;
     RUN;
PROC GCHART DATA=ex622;
     HBAR weight / AXIS=45  REF=20 NOSTAT;
     RUN;
PROC GCHART DATA=ex622;
     PIE wdigit / DISCRETE VALUE=ARROW SLICE=INSIDE;
     RUN;
PROC GCHART DATA=ex622;
     STAR wdigit / TYPE=MEAN SUMVAR=height;
     RUN;
PROC GCHART DATA=ex622;
     BLOCK weight / LEVELS=5 GROUP=run;
     RUN;
