LIBNAME mysasdat 'c:\mydata';
DATA mysasdat.restrnt;
       INFILE 'C:\DATA\RESTRNT.DAT';
       INPUT id outlook sales newcap value costgood wages
              ads typefood seats owner fulltime parttime size;
       RUN;
DATA ex711a;
       set mysasdat.restrnt;
       SELECT;
            WHEN(sales= .)     sl='         ';
            WHEN(sales<100)   sl='0-99     ';
            WHEN(sales<500)   sl='100-499  ';
            WHEN(sales<1000)  sl='500-999  ';
            WHEN(sales<5000)  sl='1000-4999';
            OTHERWISE       sl='5000-    ';
            END;
       LABEL sl='MAESANGKO';
       RUN;
OPTION LINESIZE=70;
OPTION PAGESIZE=50;
TITLE1 'EXAMPLE 7-1-1';
TITLE3 'HOW TO USE THE FREQ STATEMENT';
PROC FREQ;
      TABLES owner sl;
      RUN;
PROC FREQ;
      TABLES owner*size;
      RUN;
PROC FREQ;
      TABLES owner*size / NOROW NOCOL NOPERCENT;
      RUN;
PROC FREQ;
      TABLES owner*size / LIST NOCUM;
      RUN;
PROC SORT DATA=ex711a OUT=ex711b;
      BY size;
      RUN;
PROC FREQ DATA=ex711b;
      BY size;
      TABLES owner*typefood / NOROW NOCOL NOPERCENT;
      RUN;
