LIBNAME mysasdat 'c:\mydata';
TITLE 'EXAM 7-2-1';
TITLE2 'HOW TO USE THE PLOT STATEMENT';
DATA ex721a;
       SET mysasdat.examinat;
       hapkye=math+engl;
       RUN;
DATA ex721b;
       SET mysasdat.pulse;
       LABEL pulse1='PULSE BEFORE'
               pulse2='PULSE AFTER';
       RUN;
DATA mysasdat.peru;
       INFILE 'C:\DATA\PERU.DAT';
       INPUT age years weight height chin forearm
               calf pulse systol diastol;
       RUN;
DATA ex721c;
       SET mysasdat.peru;
       RUN;
OPTION LINESIZE=70;
OPTION PAGESIZE=30;
PROC PLOT;
       PLOT diastol*years;
       RUN;
OPTION PAGESIZE=40;
PROC PLOT NOLEGEND VTOH=5;
       PLOT diastol*years;
       RUN;
PROC PLOT;
       PLOT diastol*years /
              HPOS=32
              VPOS=22
              HAXIS=0 TO 50 BY 5
              VAXIS=50 TO 125 BY 8
              BOX
              HREVERSE
              VREVERSE
              HSPACE=3
              VSPACE=2
              VREF=70 90 110
              VREFCHAR='+'
              HREF=15 30
              HREFCHAR='+';
       RUN;
PROC PLOT;
       PLOT diastol*years /
              HPOS=32
              VPOS=22
              BOX
              VZERO
              HZERO;
       RUN;
PROC PLOT DATA=ex721a;
       PLOT engl*math='S' hapkye*math=sex /
              HPOS=35 VPOS=20;
       PLOT (engl hapkye)*math=sex /
              OVERLAY
              HPOS=35 VPOS=20;
       RUN;
PROC SORT DATA=ex721a OUT=ex721d;
       BY sex;
       RUN;
PROC PLOT DATA=ex721d UNIFORM;
       BY sex;
       PLOT engl*math /
              HPOS=35 VPOS=20;
       RUN;
PROC PLOT DATA=ex721b HPERCENT=50 VPERCENT=45 55;
       PLOT pulse2*pulse1=run / BOX;
       PLOT pulse2*pulse1=sex / BOX;
       PLOT pulse2*pulse1=smokes / BOX;
       PLOT pulse2*pulse1=activity / BOX;
       RUN;
OPTION PAGESIZE=25;
PROC PLOT DATA=ex721b HPERCENT=50;
       PLOT pulse2*pulse1=run;
       PLOT pulse2*pulse1=run / BOX HEXPAND;
       RUN;
PROC PLOT DATA=ex721b HPERCENT=50;
       PLOT pulse2*pulse1=run;
       PLOT pulse2*pulse1=run /
              VAXIS=49 64 81 100 121 144
              HAXIS=36 49 64 81 100 121;
       RUN;
PROC SORT DATA=ex721c OUT=ex721e;
       BY weight height;
       RUN;
OPTION PAGESIZE=70;
PROC TIMEPLOT DATA=ex721e;
       PLOT weight / REF=70 TO 110 BY 20;
       ID systol;
       RUN;
