TITLE 'EXAMP 8-5-2';
TITLE2  't-DISTRIBUTION';
DATA ex852a;
cdf3old = 0;
cdf10old = 0;
cdfnold = 0;
DO dum1=-4 to 4 by 0.01;
   x = dum1;
   cdf3 = PROBT(x,3);
   pdf3 = cdf3 - cdf3old;
   cdf10 = PROBT(x,10);
   pdf10 = cdf10 - cdf10old;
   cdfnorm = PROBNORM(x);
   pdfnorm = cdfnorm - cdfnold;
   IF x > -3.95 THEN OUTPUT;
   cdf3old = cdf3;
   cdf10old = cdf10;
   cdfnold = cdfnorm;
   end;
   RUN;
SYMBOL1 VALUE=DOT H=2 L=1 I=JOIN;
PROC GPLOT;
   PLOT (pdf3 pdf10 pdfnorm)*x / OVERLAY;
   PLOT (cdf3 cdf10 cdfnorm)*x / OVERLAY;
   RUN;

