LIBNAME mysasdat 'c:\mydata';
OPTION LINESIZE=70;
OPTION PAGESIZE=60;
TITLE 'EXAMPLE 9-10-1';
TITLE2 'WILCOXON RANK SUM TEST';
DATA ex9101a;
     SET mysasdat.pulse;
	 IF _N_ < 16 THEN DELETE;
	 IF _N_ > 35 THEN DELETE;
     LABEL pulse1='PULSE BEFORE';
     KEEP pulse1 sex;
     RUN;
PROC NPAR1WAY WILCOXON;
     VAR pulse1;
     CLASS sex;
     RUN;
DATA ex9101b;
     DO grp='M', 'F';
	    INPUT nobs;
		DO dum=1 to nobs;
		   INPUT pls1 @@;
		   OUTPUT;
		   END;
	    END;
    DATALINES;
	9
	62 66 70 68 72 70 74 66 70
	11
	96 62 78 82 100 68 96 78 88 62 80
	;
	RUN;
PROC NPAR1WAY WILCOXON;
     VAR pls1;
     CLASS grp;
     RUN;
PROC RANK DATA=ex9101b OUT=ex9101c;
     VAR pls1;
     RANKS p1score;
     RUN;
PROC TTEST DATA=ex9101c;
	 VAR p1score;
     CLASS grp;
	 RUN;



